/*##############################################################################
 Author:
 * Mirko Prosseda (06-2013)
 * email: mirko.prosseda@gmail.com
 
 Description:
 * 3-axis ±1.5g / ±6g Accelerometer with Voltage Regulator test sketch v1.0
 * Read analog value from the sensor and print them on Serial Monitor
 
 Connections:
 * BOARD -> ARDUINO
 * VIN   -> 5V
 * GND   -> GND
 * SLP   -> PIN 2
 * X     -> PIN A0
 * Y     -> PIN A1
 * Z     -> PIN A2
 * 3V3   -> AREF
##############################################################################*/


// Define constants and variables
const int analogInX = A0;  // X-axis analog input
const int analogInY = A1;  // Y-axis analog input
const int analogInZ = A2;  // Z-axis analog input
const int sleep = 2;       // Sleep mode pin

float valueX = 0;         // value read from the asse X
float valueY = 0;         // value read from the asse Y 
float valueZ = 0;         // value read from the asse Z

// Initialization
void setup() 
{
  Serial.begin(9600);        // Serial Port initialization
  pinMode(sleep, OUTPUT);    // initialize the Sleep pin as digital output
  digitalWrite(sleep, HIGH); // remove the accelerometer from the sleep mode
  analogReference(EXTERNAL);
}

// main loop
void loop() {
  // read the analog in value (Volt)
  valueX = (analogRead(analogInX) * (3.3 / 1023.0));  
  valueY = (analogRead(analogInY) * (3.3 / 1023.0));  
  valueZ = (analogRead(analogInZ) * (3.3 / 1023.0));    

  // print the results to the serial monitor
  Serial.print("X = ");                       
  Serial.print(valueX);      
  Serial.print("v  Y = ");                       
  Serial.print(valueY); 
  Serial.print("v  Z = ");                       
  Serial.print(valueZ);   
  Serial.println("v");                       

  delay(2); // wait 2 milliseconds before the next loop for the analog-to-digital converter to settle after the last reading                  
}

